javax.jdo.metadata

## Interface IndexMetadata

- All Superinterfaces:
    Metadata

      public interface IndexMetadata
      extends Metadata

  Represents an index.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the index.
    `MemberMetadata[]` | `getMembers()` Accessor for all member(s) defined on the index.
    `String` | `getName()` Accessor for the index name.
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this index.
    `int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for this index.
    `String` | `getTable()` Accessor for the name of the table.
    `boolean` | `getUnique()` Accessor for whether unique.
    `ColumnMetadata` | `newColumn()` Add a new column for this index.
    `FieldMetadata` | `newFieldMetadata(String name)` Add a new field for this index.
    `PropertyMetadata` | `newPropertyMetadata(String name)` Add a new property for this index.
    `IndexMetadata` | `setName(String name)` Method to set the name of the index.
    `IndexMetadata` | `setTable(String table)` Method to set the table name.
    `IndexMetadata` | `setUnique(boolean unique)` Method to set whether it is unique.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setName

          IndexMetadata setName(String name)

      Method to set the name of the index.
      Parameters:
        `name` - Name of the index
      Returns:
        This metadata object

    - #### getName

          String getName()

      Accessor for the index name.
      Returns:
        The index name

    - #### setTable

          IndexMetadata setTable(String table)

      Method to set the table name.
      Parameters:
        `table` - Table name
      Returns:
        This metadata object

    - #### getTable

          String getTable()

      Accessor for the name of the table.
      Returns:
        The name

    - #### setUnique

          IndexMetadata setUnique(boolean unique)

      Method to set whether it is unique.
      Parameters:
        `unique` - Unique?
      Returns:
        This metadata object

    - #### getUnique

          boolean getUnique()

      Accessor for whether unique.
      Returns:
        Unique?

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the index.
      Returns:
        The column(s)

    - #### newColumn

          ColumnMetadata newColumn()

      Add a new column for this index.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this index.
      Returns:
        The number of columns

    - #### getMembers

          MemberMetadata[] getMembers()

      Accessor for all member(s) defined on the index.
      Returns:
        The fields/properties

    - #### getNumberOfMembers

          int getNumberOfMembers()

      Accessor for the number of fields/properties defined for this index.
      Returns:
        The number of members

    - #### newFieldMetadata

          FieldMetadata newFieldMetadata(String name)

      Add a new field for this index.
      Parameters:
        `name` - Name of the field
      Returns:
        The FieldMetadata

    - #### newPropertyMetadata

          PropertyMetadata newPropertyMetadata(String name)

      Add a new property for this index.
      Parameters:
        `name` - Name of the property
      Returns:
        The PropertyMetadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.